# Update manual review

`PUT /omni/manual-review`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Can be used to set an interview as 'needs manual review', 'approved by manual review' or 'rejected by manual review'.
In case manualReviewStatus field in request is set to APPROVED or REJECTED, notification to client side is sent
for onboarding status change - see [notify-status-changed] for more details

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `interviewId` | query | string |  | Id of onboarding for which data will be updated. If not present, it will be extracted from token. |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `manualReviewStatus` | string | yes | Enum: `REQUIRED`, `APPROVED`, `REJECTED` |
| `newReason` | string |  | Intended to be use when setting manualReviewStatus as required, it will be added to the list of reasons why a session was flagged as needs manual review. |
| `comment` | string |  | Required comment in written form. |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
